//build:20240606
//To simplify the use of the micro-light communication protocol for the Face component, the Face component is encapsulated within this worker. Users only need to subscribe to eventbus events to listen to the Face component.
import log from './dxLogger.js'
import face from './dxFace.js'
import std from './dxStd.js'

function run() {
    face.worker.beforeLoop()
    log.info('face start......')
    std.setInterval (function() {
        try {
            face.worker.loop()
        } catch (error) {
            log.error(error)
        }
    },10)
}

try {
    run()
} catch (error) {
    log.error(error)
}